%global momorel 3

Summary: Python accessibility explorer
Name: accerciser

Version: 3.22.0
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: Documentation
URL: http://www.gnome.org/

Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.22/%{name}-%{version}.tar.xz
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  at-spi2-core-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pygobject3-devel
BuildRequires:  python3
BuildRequires:  python3-devel >= 3.6

Requires:       libwnck3
#Requires:       python3-cairo
#Requires:       python3-gobject
#Requires:       python3-ipython-console
#Requires:       python3-pyatspi

%description
Accerciser is an interactive Python accessibility explorer for the
GNOME desktop. It uses AT-SPI to inspect and control widgets, allowing
you to check if an application is providing correct information to
assistive technologies and automated test frameworks. Accerciser has a
simple plugin framework which you can use to create custom views of
accessibility information.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name} --with-gnome

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/accerciser.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
for d in hicolor HighContrast ; do
    touch --no-create %{_datadir}/icons/$d &>/dev/null || :
done

%postun
if [ $1 -eq 0 ] ; then
    for d in hicolor HighContrast ; do
        touch --no-create %{_datadir}/icons/$d &>/dev/null || :
        gtk-update-icon-cache %{_datadir}/icons/$d &>/dev/null || :
    done
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans
for d in hicolor HighContrast ; do
    gtk-update-icon-cache %{_datadir}/icons/$d &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/accerciser
%{python3_sitelib}/accerciser/
%{_datadir}/accerciser/
%{_datadir}/applications/accerciser.desktop
%{_datadir}/glib-2.0/schemas/org.a11y.Accerciser.gschema.xml
%{_datadir}/help/*/accerciser
%{_datadir}/appdata/org.gnome.accerciser.appdata.xml
%{_datadir}/icons/hicolor/*/apps/accerciser.png
%{_datadir}/icons/hicolor/scalable/apps/accerciser.svg
%{_datadir}/icons/hicolor/symbolic/apps/accerciser-symbolic.svg
#%%{_datadir}/icons/HighContrast/scalable/apps/accerciser.svg

%{_mandir}/man1/accerciser.1*

%changelog
* Mon Jan 15 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.0-3m)
- BR python3.6

* Tue Oct 31 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.22.0-2m)
- rebuild against python3.6

* Wed Jan 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.0-1m)
- update to 3.22.0

* Mon Dec  8 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0

* Tue Dec 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.2-1m)
- update to 3.6.2

* Thu Sep 27 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Wed Sep 21 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.92-1m)
- update to 3.1.92

* Tue Sep 13 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.1.91-2m)
- add BuildRequires

* Mon Sep 12 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.91-1m)
- update to 3.1.91

* Tue Apr 26 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.12.1-4m)
- rebuild for python-2.7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.12.1-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.12.1-2m)
- rebuild for new GCC 4.5

* Thu Nov 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.12.1-1m)
- update to 1.12.1

* Sun Oct  3 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.12.0-1m)
- update to 1.12.0

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.1-2m)
- full rebuild for mo7 release

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.1-1m)
- update to 1.10.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.0-1m)
- update to 1.10.0

* Thu Feb 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.3-1m)
- update to 1.9.3

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.8.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.0-1m)
- update to 1.8.0

* Sun Aug 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.1-2m)
- fix BPR (change package name)

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.1-1m)
- update to 1.6.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Fri Feb 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.91-1m)
- update to 1.5.91

* Sat Feb  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.9-1m)
- update to 1.5.9

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.2-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.2-2m)
- change Source0 URI
- License: Modified BSD

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.5.2-1m)
- rebuild against python-2.6.1-1m 
- update to 1.5.2

* Fri Oct 31 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.0-2m)
- revise BuildPrereq and Requires

* Fri Sep 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Sat Oct 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-2m)
- add some BPRs

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-1m)
- initial build
